unit IBPluginClasses;

interface

uses
  Classes;

type
  IIBManagerAdditionalInfoInterface = interface
  ['{AFD16EFB-DBFD-4FC5-95FD-3536DB40F59C}']
    procedure SetCharsetList(List: TStrings);
    procedure SetFontCharsetList(List: TStrings);
  end;

  IIBManagerDatabaseInterface = interface
  ['{7968DE72-1E4B-4A25-95A5-3084C9DCB9A9}']
    function GetClientEncoding: ShortString;
    procedure SetClientEncoding(Value: ShortString);
    function GetSSL: Boolean;
    procedure SetSSL(Value: Boolean);
    function GetCompress: Boolean;
    procedure SetCompress(Value: Boolean);
    function GetInteractive: Boolean;
    procedure SetInteractive(Value: Boolean);
    function GetUseQuotes: Boolean;
    procedure SetUseQuotes(Value: Boolean);
    function GetKeepAlive: Boolean;
    procedure SetKeepAlive(Value: Boolean);
    function GetAutoCommit: Boolean;
    procedure SetAutoCommit(Value: Boolean);
    function GetMetaLogSuccessOnly: Boolean;
    procedure SetMetaLogSuccessOnly(Value: Boolean);
    procedure SetServerVersion(Value: Integer);
    function GetServerVersion: Integer;
    procedure SetSQLDialect(Value: Integer);
    function GetSQLDialect: Integer;



    property ClientEncoding: ShortString read GetClientEncoding write SetClientEncoding;
    property SSL: Boolean read GetSSL write SetSSL;
    property Compress: Boolean read GetCompress write SetCompress;
    property Interactive: Boolean read GetInteractive write SetInteractive;
    property UseQuotes: Boolean read GetUseQuotes write SetUseQuotes;
    property KeepAlive: Boolean read GetKeepAlive write SetKeepAlive;
    property AutoCommit: Boolean read GetAutoCommit write SetAutoCommit;
    property MetaLogSuccessOnly: Boolean read GetMetaLogSuccessOnly write SetMetaLogSuccessOnly;
    property ServerVersion: Integer read GetServerVersion write SetServerVersion;
    property SQLDialect: Integer read GetSQLDialect write SetSQLDialect;
  end;

  IIBManagerDatabasePerformanceOptions = interface
  ['{3EB97234-0923-4AD2-A5CF-0A48EE5A1A7F}']
    function GetSQLFilter: Boolean;
    procedure SetSQLFilter(Value: Boolean);
    function GetSelectAll: Boolean;
    procedure SetSelectAll(Value: Boolean);
    function GetLoadAllRowsMode: Boolean;
    procedure SetLoadAllRowsMode(Value: Boolean);
    function GetSharedConnection: Boolean;
    procedure SetSharedConnection(Value: Boolean);
    function GetSQLSort: Boolean;
    procedure SetSQLSort(Value: Boolean);
    function GetLimitRecords: Integer;
    procedure SetLimitRecords(Value: Integer);


    property SQLFilter: Boolean read GetSQLFilter write SetSQLFilter;
    property SelectAll: Boolean read GetSelectAll write SetSelectAll;
    property LoadAllRowsMode: Boolean read GetLoadAllRowsMode write SetLoadAllRowsMode;
    property SharedConnection: Boolean read GetSharedConnection write SetSharedConnection;
    property SQLSort: Boolean read GetSQLSort write SetSQLSort;
    property LimitRecords: Integer read GetLimitRecords write SetLimitRecords;
  end;

  IIBConnectonInterface = interface
  ['{217204CC-2C09-4AA8-98AC-29A863E5BBDE}']
    function GetHost: ShortString;
    procedure SetHost(Value: ShortString);
    function GetDBName: ShortString;
    procedure SetDBName(Value: ShortString);
    function GetPort: ShortString;
    procedure SetPort(Value: ShortString);
    function GetLogin: ShortString;
    procedure SetLogin(Value: ShortString);
    function GetPassword: ShortString;
    procedure SetPassword(Value: ShortString);
    function GetLoginPrompt: Boolean;
    procedure SetLoginPrompt(Value: Boolean);

    property Host: ShortString read GetHost write SetHost;
    property DBName: ShortString read GetDBName write SetDBName;
    property Port: ShortString read GetPort write SetPort;
    property Login: ShortString read GetLogin write SetLogin;
    property Password: ShortString read GetPassword write SetPassword;
    property LoginPrompt: Boolean read GetLoginPrompt write SetLoginPrompt;

  end;

  IPluginSpecConnectionInterface = interface
  ['{274B9890-8325-48D2-B843-1F80B42EEF3C}']
    function DoBeforeConnect(Owner: IUnknown; IBConnecton: IIBConnectonInterface): Boolean;
  end;

  IIBHostInterface = interface
  ['{2901E1DC-1394-49F6-96D0-4128711242E5}']
    function GetClientEncoding: ShortString;
    procedure SetClientEncoding(Value: ShortString);

    property ClientEncoding: ShortString read GetClientEncoding write SetClientEncoding;
  end;

implementation

end.
