library DataGenerator;

uses
  SysUtils,
  Classes,
  Forms,
  Windows,
  PluginF in 'PluginF.pas' {PluginForm},
  ProgressF in 'ProgressF.pas' {fmProgressDlg},
  StrConsts in 'StrConsts.pas',
  InterbaseIntf in '..\..\InterbaseIntf.pas';

{$R *.RES}

var OldHandle: THandle;

procedure plugin_execute(ExecInfo: PplExecInfo; Intf: TIBManagerInterface); stdcall;
var PF : TPluginForm;
begin
  OldHandle := Application.Handle;
  Application.Handle := TApplication(Intf.IBManagerApplication).Handle;
  PF := TPluginForm.Create(TApplication(Intf.IBManagerApplication));
  try
    PF.Intf := Intf;
    PF.ShowModal;
  finally
    PF.Free;
  end;
  Application.Handle := OldHandle;
end;

procedure get_plugin_info(PluginInfo: pointer); stdcall;
begin
  with PIBManagerPluginInfo(PluginInfo)^ do begin
    PluginName := PChar(sDataGenerator);
    Description := PChar(sPluginDescription);
    MenuCaption := PChar('&' + sDataGenerator);
    PlaceOnToolbar := true;
    UnloadAfterExecute := true;
  end;
end;

procedure plugin_options_execute(Intf : TIBManagerInterface); stdcall;
begin
  //
end;

exports
  plugin_execute,
  get_plugin_info,
  plugin_options_execute;

end.
